Skip to main content
GET
/
affiliates
/
billings
/
affiliates
/
invoices
/
{invoiceId}
Get Invoice By ID
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/billings/affiliates/invoices/{invoiceId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_invoice_id": 123,
  "affiliate_invoice_status": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "balance": 123,
  "billed": 123,
  "paid": 123,
  "payment_terms": "<string>",
  "currency_id": "<string>",
  "relationship": {
    "details": [
      {
        "type": "referral",
        "description": "<string>",
        "amount": 123,
        "network_offer_id": 123
      }
    ],
    "payments": [
      {
        "payment_type": "<string>",
        "amount": 123,
        "payment_date": "2023-11-07T05:31:56Z",
        "reference": "<string>"
      }
    ]
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

invoiceId
integer
required

The numeric ID of the invoice.

Response

OK

network_affiliate_invoice_id
integer

Unique identifier for the invoice.

affiliate_invoice_status
string

Payment status of the invoice (paid, unpaid).

start_time
string<date-time>

Start of the billing period.

end_time
string<date-time>

End of the billing period.

balance
number

Outstanding balance on the invoice.

billed
number

Total amount billed.

paid
number

Total amount paid.

payment_terms
string

Payment terms for the invoice (e.g. Net 30, Net 60).

currency_id
string

Currency code for the invoice (e.g. "USD").

relationship
object

Related data for the invoice.